import { 
  select, 
  range,
  event,
  zoom
} from 'd3';

const nLinesVert = 8;
const nLinesHori = 4;
const nBalls = 7;

const dataPoint = {
  id : range(nBalls*3),
  subCircle : range(1)
	};
console.log(range(1))

const svg = select('svg')
	.attr('width', 7000)
	.attr('height', 3003)
  .style('border', 'blue solid')  

const g = select('svg').append('g');

g.selectAll('rect')
    .data(range(nBalls*3))
    .enter()
  		.append('rect')
        .attr('class', 'rectEntities')
        .attr('x', d => (d%7) * 100 )
        .attr('y', d => (d%3) * 100 )
        .attr('width', 100)
        .attr('height', 100)
        .attr('fill', 'white')
        .append('title')
        .text(d => d)       
g.selectAll('path.vertical') // selection
		.data(range(nLinesVert))		// data join
  	.enter()										// Enter-Update-Exit
      .append('path')
      .attr('class', 'vertical')
      .attr('d', d => `M${d * 100} 0 V300`);

g.selectAll('path.horizontal')
    .data(range(nLinesHori))
    .enter()
  		.append('path')
    	.attr('class', 'horizontal')
    	.attr('d', d => `M0 ${d * 100} H700`);



const circlesG = g.selectAll('g')
    							.data(dataPoint.id)
    							.enter()
    
circlesG.append('circle')
        .attr('class', 'circleEntities')
        .attr('cx', d => (d%7) * 100 + 50)
        .attr('cy', d => (d%3) * 100 + 50)
        .attr('r', 40)
        .attr('fill', 'steelBlue');
    
circlesG.append('circle')
  					.attr('cx', d => (d%7) * 100 + 50)
            .attr('cy', d => (d%3) * 100 + 50)
            .attr('r', 20)
            .attr('fill', 'blue')

circlesG.append('circle')
  					.attr('cx', d => (d%7) * 100 + 50+ Math.cos(0*Math.PI/180)*25)
            .attr('cy', d => (d%3) * 100 + 50- Math.sin(0*Math.PI/180)*25)
            .attr('r', 5)
            .attr('fill', 'yellow')    

circlesG.append('circle')
  					.attr('cx', d => (d%7) * 100 + 50+ Math.cos(26*Math.PI/180)*25)
            .attr('cy', d => (d%3) * 100 + 50- Math.sin(26*Math.PI/180)*25)
            .attr('r', 5)
            .attr('fill', 'lightgreen')    


circlesG.append('circle')
  					.attr('cx', d => (d%7) * 100 + 50)
            .attr('cy', d => (d%3) * 100 + 50)
            .attr('r', 10)
            .attr('fill', 'darkblue')    
            // 

			


// g.selectAll('rect')
//     .data(range(nBalls*3))
//     .enter().append('rect')
//     .attr('class', 'rectEntities2')
//     .attr('x', d => (d%7) * 100 + 30)
// 		.attr('y', d => (d%3) * 100 + 30)
// 		.attr('width', 40)
// 		.attr('height', 40)
// 		.attr('fill', 'yellow');

svg.call(zoom().on('zoom', () => {
 g.attr('transform', event.transform);
}));




// const myVerticals2 = svg2
// 		.selectAll('path.vertical') // selection
// 		.data(range(nLinesVert))		// data join
//   	.enter()										// Enter-Update-Exit
//       .append('path')
//       .attr('class', 'vertical')
//       .attr('d', d => `M${d * 100/nLinesVert} 0 V100`);

// svg2.selectAll('path.horizontal')
//     .data(range(nLinesHori))
//     .enter().append('path')
//     .attr('class', 'horizontal')
//     .attr('d', d => `M0 ${d * 100/nLinesHori} H100`);
